Bug 741022 - php: changes to is_a() in 5.3.7 may allow arbitrary code execution with certain code [fedora-all]
Summary: php: changes to is_a() in 5.3.7 may allow arbitrary code execution with certa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 15
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-3379
TreeView+ depends on / blocked
 
Reported: 2011-09-24 13:52 UTC by Vincent Danen
Modified: 2012-06-05 09:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-05 09:41:33 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-09-24 13:52:04 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=741020

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Remi Collet 2011-09-25 07:46:14 UTC
For security, I think this is a very low risk, as I don't think any application  use an _autoload feature without any check on input.

As the revert to php <= 5.3.6 of is_a() behaviour is an (late and hardly discussed) upstream decision, and lot of other projects are really hostile to this change, I think we can include this in a 5.3.8 update in fedora.

Some other distro choose to not publish php 5.3.8 because of this.

@Joe, your thought ?

Comment 2 Joe Orton 2011-09-28 14:45:16 UTC
My thoughts: what a mess.  You were right to be cautious about this change!

It looks like the change to revert to the old is_a behaviour has been committed upstream to the 5.3 branch (r317183) so I don't see a problem with pushing that fix in Fedora updates.  I presume that commit alone is sufficient to fix this issue?

http://svn.php.net/viewvc?view=revision&revision=317183

Comment 3 Remi Collet 2011-09-28 14:57:00 UTC
Yes this single patch is enough.
I will do it


Note You need to log in before you can comment on or make changes to this bug.